DROP TABLE aankoop,transactie,bonuskaart,filiaal,product;

CREATE TABLE bonuskaart(
	bonuskaartnummer INTEGER,
	naam VARCHAR(255),
	adres VARCHAR(255),
	woonplaats VARCHAR(255),
	PRIMARY KEY (bonuskaartnummer)
);

CREATE TABLE filiaal(
	filiaalnummer INTEGER,
	plaats VARCHAR(255) NOT NULL,
	adres VARCHAR(255) NOT NULL,
	PRIMARY KEY (filiaalnummer)
);

CREATE TABLE product(
	productnummer INTEGER,
	omschrijving VARCHAR(255) NOT NULL,
	PRIJS DECIMAL(6,2) NOT NULL,
	PRIMARY KEY (productnummer)
);

CREATE TABLE transactie(
	transactienummer INTEGER,
	datum DATE NOT NULL,
	tijd TIME NOT NULL,
	bonuskaartnummer INTEGER NOT NULL,
	filiaalnummer INTEGER NOT NULL,
	PRIMARY KEY (transactienummer),
	FOREIGN KEY (bonuskaartnummer) REFERENCES bonuskaart(bonuskaartnummer),
	FOREIGN KEY (filiaalnummer) REFERENCES filiaal(filiaalnummer)
);

CREATE TABLE aankoop(
	transactienummer INTEGER,
	product INTEGER NOT NULL,
	aantal INTEGER NOT NULL,
	FOREIGN KEY (transactienummer) REFERENCES transactie(transactienummer),
	FOREIGN KEY (product) REFERENCES product(productnummer)
);

INSERT INTO bonuskaart VALUES ('65472335');

INSERT INTO filiaal VALUES ('35','Utrecht','Stationsplein');
INSERT INTO filiaal VALUES ('48','Utrecht','Roelantdreef 41');

INSERT INTO product VALUES ('33','AH halfvolle melk per pak','0.99');
INSERT INTO product VALUES ('66','AH pindakaas per pot','2.39');
INSERT INTO product VALUES ('99','AH tandelborstel, ja met een L','1.35');

INSERT INTO transactie VALUES ('256','2019-12-01','17:35','65472335','35');
INSERT INTO transactie VALUES ('512','2019-12-03','12:25','65472335','48');

INSERT INTO aankoop VALUES ('256','33','2');
INSERT INTO aankoop VALUES ('256','66','1');
INSERT INTO aankoop VALUES ('256','99','1');
INSERT INTO aankoop VALUES ('512','33','1');